PFind - Find your personal Pictures

Erste Schritte - oder: wie geht das?

PFind ist ein Programm, welches es erlaubt, in die eigene Bildersammlung "eine gewisse Ordnung" zu bringen.

Obwohl sich PFind erst in der Anfangsphase der Entwicklung befindet, leistet es jedoch mehr, als ein "einfaches Bilderordnungsprogramm" bieten würde:
Es bietet die Möglichkeit, einzelne CDs oder DVDs einzulesen und die Bilder in einer Datenbank zu speichern.

Um ähnliche Bilder zu finden, sucht man sich ein "Referenzbild" aus und hat die Möglichkeit, ähnliche Bilder zu suchen und zu finden. Dabei brauchen die zuvor eingelesenen Medien wie CD/DVD nicht eingelegt zu werden, da sich der Inhalt dieser Medien ja in der Datenbank befindet.

Kurzanleitung:
Fenster zum Einlesen der CD/DVD:
Vorhandene Laufwerke.
Gewünschtes Laufwerk einmal anklicken und den Button "Einlesen" drücken. Damit nicht alle Dateien eingelesen werden, ist das Fenster "Dateifilter" zu beachten.

Achtung:
Bis jetzt lassen sich nur Bilder in den Formaten jpg, png, tif und bmp (bmp teilweise noch unvollständig) einlesen.

Ferner empfehlen wir, nicht den Festplatteninhalt einlesen zu lassen, da die erzeugten Datenbankdateien evtl. viel zu groß sind.
Sinn und Zweck von PFind ist sowieso, daß man externe Medien wie z.B. CDs, DVDs einliest, die vorwiegend Bilder haben. Ein weiterer Vorteil, wenn man CDs/DVDs einliest, ist, dass man die Medien aus dem CD/DVD-Laufwerk entnehmen kann und dann in den eingelesenen Bildern suchen kann, OHNE dass jedesmal die entsprechende CD/DVD eingelegt werden muss.

Für erste Testversuche empfehlen wir, dass man einzelne Ordner mit Bildern einliest, die jeweils nicht mehr als ca 100 Bilder haben.
Wir haben zwar hausinterne Versuche mit mehr als 40000 Bildern durchgeführt, aber das Einlesen und Extrahieren der sogenannten "Bildmerkmale" hat ziemlich lange gedauert...
Das Suchen nach Bildern geht sehr schnell vor sich, da nur ganz wenig Daten von der Festplatte geladen werden (für Profis: Es wird mit 'CreateFileMapping' gearbeitet, um die riesigen Datenmengen einigermaßen schnell zu bearbeiten).

"Medien in Datenbank" zeigt bereits eingelesene Medien (CD/DVD) an.
Doppelklick auf einen Eintrag zeigt die Verzeichnisstruktur des eingelesenen Mediums im Fenster "Medieninhalt".
Dort kann z.B. ein Bild ausgesucht werden (ein Klick auf Dateinamen reicht).
Jetzt wird das ausgewählte Bild im Fenster "Bild" angezeigt.
Dort kann mit dem Scroller "Ähnlichkeit" die gewünschte Ähnlichkeit eingestellt werden.
Geben Sie PFind beim ersten Suchvorgang ein wenig Zeit, um Daten vorzubereiten; bei mehrmaliger Benutzung des Scrollers verläuft die Suche in Echtzeit :-)

Das Suchergebnis (also die Bilder) werden im Fenster "Suchergebnisse" angezeigt. Damit nicht zuviele Bilder angezeigt werden, haben wir die Anzahl der Ergebnisse auf 200 begrenzt.
Mit dem vertikalen Scroller dort kann man sich die gefundenen Bilder ansehen.
Außerdem läßt sich dieses Fenster in der Größe verändern. Die Bilder dort werden dann entsprechend angeordnet.

Jetzt kann z.B. erneut der Scroller "Ähnlichkeit" verändert werden und ähnliche Bilder werden erneut aus der Datenbank herausgesucht.

Zur Zeit wird noch ein relativ einfacher Suchalgorithmus benutzt; In einem späteren Entwicklungsstadium werden noch zusätzliche Parameter wie z.B. "Hautfarbe", "Formen" berücksichtigt. Außerdem ist ein Kategoriesystem in Arbeit, welches Bilder automatisch nach Kategorien sortiert. Dazu ist geplant, ein System einzusetzen, welches in der Lage ist, von Ihnen zugeordnete Bilder zu "lernen" und bei der globalen Suche zu berücksichtigen.

Falls trivial nach Dateinamen in den Medien gesucht werden soll, einfach das Fenster
"Suchen und Finden" öffnen (siehe in der Menüleiste). Groß- und Kleinschreibung ist hierbei egal.
Falls bei einem Medium nur die Struktur eingelesen wurde und der Suchbegriff auf diesem Medium ist, erscheint natürlich kein Bild (sondern nur ein leeres Bild).


"videocommunications PFind"

Copyright:
(c) 2007-2008 www.videocommunications.de

History:

07.07.2008
Version 1.2.8.0

- Einige Fenster flackerten, wenn dessen Größe verändert wurde. Behoben.
- Die normalen Buttons wurden durch selbstgezeichnete Buttons ersetzt:

- Das Installationsprogramm wurde verbessert:
· Es ist jetzt möglich, optional eine Verknüpfung in der Schnellstartleiste zu erzeugen.
· Wenn "Englisch" als Sprache ausgewählt ist, wird die Sprache in PFind auf "englisch" eingestellt.
(aber nur, wenn PFind noch nicht vorher installiert war)
********************************************************************************

18.06.2008
Version 1.2.7.0

- Hatte ich schon lange auf der Liste: "Schnelles Updaten eines Ordners in der Datenbank":

- Wenn in einem Ordner auf der Festplatte neue Bilder hinzugekommen sind, Bilder entfernt oder einige der Bilder
verändert wurden, wird dieses bei Auswahl dieses Menüpunktes erkannt und es wird sehr schnell dieser Status in
die Datenbank übernommen.
- Fehler behoben: Ab und zu ließen sich einige Vorschaubilder nicht anklicken; jetzt gehts :-)
********************************************************************************

21.05.2008
Version 1.2.6.0

- Neu hinzugekommen ist ein Fenster, in dem mit der Maus eine beliebige Figur gezeichnet werden kann.
Nach dieser Figur wird dann in allen aktivierten Medien gesucht.
Also: 1) Figur zeichnen, 2) Button "Suchen" drücken" und dann bei Bedarf den Ähnlichkeits-Scroller verschieben.
Das Ergebnis erscheint wie gewohnt im Ergebnisfenster:

- Damit mehr Bilder in der Medienansicht angezeigt werden können, kann man jetzt mit
dem Mausrad und der Ctrl-Taste die Bilder in sehr feinen Abstufungen vergrößernbzw. verkleinern:

Das ist erstmal alles - als kleines Überraschungsei wartet eine knuffige Animation im Info-Fenster... :-)
********************************************************************************

28.04.2008
Version 1.2.5.1

- Bug fixed, der bei einigen wenigen gif-Dateien auftrat (resultierte in einem Crash)
- Die interne Struktur der Verzeichnisse optimiert bzw. Fehler behoben (ab und zu wurden
einige Verzeichnisse nicht korrekt gespeichert, das funktioniert jetzt.)
- Ich empfehle nach Möglichkeit, alle eingelesenen Verzeichnisse erneut einzulesen.

Jetzt kann ich mich endlich weiter an die Mustererkennung machen...
********************************************************************************

26.04.2008
Version 1.2.5.0

- Neu hinzugekommen sind Fensterlayouts, die man selbst erstellen kann:

- Außerdem wird jetzt per Doppelklick auf ein Bild in einem internen Fenster ein großes Bild angezeigt.
Dies funktioniert natürlich nur, wenn das Bild auch auf der Festplatte vorhanden ist.
Dieses Fenster ("Vorschaubild") ist in der Größe skalierbar. Rechtsklick mit der Maus in das Fenster
öffnet ein Popupmenü mit der Möglichkeit, das Bild in einem externen Programm zu öffnen (z.B. zum Bearbeiten).

- Es werden ab jetzt folgende Bildformate eingelesen:
jpg, tif, jp2 (=jpeg 2000), gif, png und bmp. Bei einer Gif-Animation wird nur das erste Bild eingelesen.
********************************************************************************

18.04.2008
Version 1.2.0.0

- Ich hab den URL-Grabber wesentlich erweitert (hat mir einfach keine Ruhe gelassen):
Hinzugekommen ist ein kleines Vorschaufenster, in dem in Echtzeit das gerade heruntergeladene Bild angezeigt wird.
Auch hinzugekommen ist ein Fenster mit einer Liste, die angibt, welche URLs mit gewissen Texten nicht heruntergeladen
werden sollen. Diese Liste ist beliebig erweiterbar.

Wenn das Häkchen bei 'URLs hinzufügen' gesetzt ist, werden die durchsuchten Webseite nach neuen URLs durchsucht und in die Liste aufgenommen.
Vorsicht: Das kann z.B. bei www.flickr.com ganz schnell zu einer Vielzahl von neuen URLs kommen.
Um diese vielen neuen URLs schnell und einfach löschen zu können, werden URLs vom letzten Durchgang mit einer 'CRC'
markiert. Diese markierten Einträge lassen sich dann schnell und einfach löschen. Außerdem besteht die Möglichkeit, nur
automatisch hinzugefügte URLs zu löschen. Am besten mal mit der rechten Maustaste in der Listview klicken und das Popupmenü lesen :-)
- Mit dem Button ~ ist das Ignorier-Fenster zu öffnen
- Mit dem Button P kann man das Vorschaufenster öffnen (und auch wieder schließen)
- Zu beachten ist, dass manuell eingegebene TLD (Top Level Domain) am Ende einen Slash benötigen (es sei denn, da steht
beispielsweise noch ...html dahinter, dann natürlich kein Slash!)

- Die Bilder werden in das Verzeichnis heruntergeladen, welches bei den Voreinstellungen einstellbar ist (wichtig!)

********************************************************************************
09.04.2008
Version 1.1.6.0

- Es ist jetzt möglich, den Ordnerinhalt eines eingelesenen Mediums als Bitmap zu exportieren.
Die Breite und Höhe der exportierten Bilddatei wird automatisch bestimmt:

Das exportierte Ergebnis (Beispiel):

- Fehler bei der Anzeige der Bilderverteilung behoben (ab und zu erschien die Bilderverteilung, obwohl diese eigentlich ausgeschaltet war.)

********************************************************************************

06.04.2008
Version 1.1.5.0

- Hinzugekommen ist ein Imagegrabber, der von eingegebenen Webseiten Images herunterladen kann.
Vorerst werden einfach nur die Bilder heruntergeladen, ohne irgendwelche Kategorien zu beachten.
In einer der zukünftigen Versionen werden dann die Bilder nach eingestellten Kategorien heruntergeladen.
Es ist darauf zu achten, daß der volle Pfad zur Webseite eingegeben wird (also ggf komplett mit .html, .php oder andere)

Häkchen bei "Getrennte Bilder":
Wenn dieses Häkchen aktiviert ist, wird für jede Webseite ein eigener Ordner erzeugt.

Ein Rechtsklick auf einen Eintrag öffnet ein Popupfenster mit weiteren Optionen.

Wichtig:
Das Verzeichnis, in welches der Download der Bilder stattfindet, wird im Voreinstellungsdialog eingestellt:

- Die Sortierung der Ergebisse im Imagegrabber (Listview) wird gespeichert.
- Ein Fehler in der Sortierung der Listview im Fenster "Medien in Datenbank" wurde behoben (Sortierung änderte sich von alleine).
********************************************************************************

01.04.2008
Version 1.1.0.1

- Endlich funktioniert auch der Fortschrittsbalken bei der Suche nach Namen oder Zeitraum.
- Fehler gefixt, der sehr selten auftrat, wenn die Datenbankdatei "*.database" fehlerhaft war (resultierte in einer Dauerschleife).
- Es wurde der Button "Heute" hinzugefügt:

********************************************************************************
25.03.2008
Version 1.1.0.0
- Hinzugekommen sind Kategorien.
- Es wurde ein Fehler in der Anzeige der Festplattengröße behoben.
Jetzt wird die Gesamt- und Restgröße eines Datenträgers korrekt angezeigt:

- Die Farbe für die Bildmarkierung ist nun einstellbar. Zu finden im Voreinstellungdialog:

********************************************************************************
18.03.2008
Version 1.0.0.8
- Das Popupmenu in diesem Fenster ist jetzt aufgeräumter. Außerdem werden die Einstellungen
dauerhaft gespeichert.
- Es läßt sich jetzt wahlweise der kurze oder der lange Ordnername (also mit Pfad der Bilder) in der
Verzeichnisstruktur anzeigen.

- Mit einem Rechtsklick mit der Maus auf ein Bild öffnet sich nun ein Popupmenü.
Hier kann man jetzt das Bild mit einem Bildbearbeitungsprogramm öffnen.
Es wird hierzu die von Windows verwendete Programmauswahl vorgenommen.
Anzumerken wäre noch, daß das Bild natürlich vorhanden sein muß.

- Im Fenster "Suchergebnisse" wurde das Optionen-Popupmenü ebenfalls aufgeräumt (siehe Bild)

- Es lassen sich auch hier Bilder mit einem rechten Mausklick öffnen (siehe Bild)

Auch hier muß natürlich das Bild vorhanden sein.
********************************************************************************

20.11.2007
Version 1.0.0.7
- Die Bilderverteilung erfolgt jetzt aufsteigend sortiert:

- Wenn Vorschaubilder angezeigt werden, wird eine Fortschrittsanzeige angezeigt:

- Bugs bei der Vorschauanzeige der Bilder gefixt.
- Die Sortierung im Fenster "Medien in Datenbank" wird jetzt gespeichert und beim nächsten Programmstart wieder benutzt.
- Die Breite des Vorschaubereiches lässt sich jetzt verändern (hellblauer schmaler Bereich)
********************************************************************************

15.11.2007
Version 1.0.0.6
- Die Bilder des eingelesenen bzw angezeigten Verzeichnisses lassen sich jetzt anzeigen, -> Beispiel:

Im Popupmenü des Fensters "Medieninhalt" lässt sich einstellen, ob eine Liste oder eine Vorschau angezeigt werden soll.
- Ein Klick auf das Vorschaubild mit der rechten Maustaste öffnet ein weiteres Popupmenü,
in dem das angeklickte Bild als neues Referenzbild gesetzt werden soll (um eine Suche nach einem ähnlichen Bild zu starten).

- Der Menüpunkt "Verzeichnisstruktur drucken" druckt bis jetzt nur die Struktur in Textform aus,
in einer der nächsten Versionen lässt sich dann auch ein ausgewähltes Verzeichnis ausdrucken (Vorschläge dazu?).
********************************************************************************
05.11.2007
Version 1.0.0.5
- Memoryleak beim Anzeigen der Ordnerstruktur im Fenster "Medieninhalt" entdeckt: fixed.
- Im Bereich "Bilderverteilung" sind jetzt die Monate leer, in denen keine Bilder gespeichert wurden,

Beispiel:

Jetzt ist mit einem Blick sichtbar, in welchen Monaten Bilder erstellt (bzw. gespeichert) wurden.

- TIFF-Dateien werden jetzt auch eingelesen. Bitte darauf achten, dass im Filterfenster
das TIF-Datenformat beim Einlesen berücksichtigt wird (Häkchen setzen).

- In den Traybereich rechts unten wurde das Icon von PFind hineingesetzt.
Es lässt sich jetzt komfortabel das Hauptfenster minimieren und wieder ganz anzeigen:

(aufgeklapptes Popupmenü:)

********************************************************************************
26.10.2007
Version 1.0.0.4
- Neues Übersichtsfenster, welche die Verteilung der Bilder auf die Jahre und Monate anzeigt.
Damit es nicht noch ein großes Fenster gibt (welches Platz wegnimmt), wurde das Übersichtsfenster in das bereits
vorhandene Fenster "Medieninhalt" eingebaut:

Wie zu sehen, ist die "Bilderverteilung" abschaltbar. Die Bilderverteilung zeigt an,
auf welchem Medium sich ungefähr wieviele Bilder in den gefundenen Jahren bzw Monaten befinden.

********************************************************************************
18.10.2007
Version 1.0.0.3
- Ab heute definitiv nur noch ab Windows XP lauffähig. Windows2000 wird nicht mehr unterstützt; alles andere wäre halbherzig.
- Es ist jetzt möglich, nach Bildern zu suchen, die in einem gewissen Zeitraum aufgenommen wurden.
Dazu wurde der Suchdialog überarbeitet.
- Es ist nun auch möglich, sich die gesamte Verzeichnisstruktur eines Medium sowie das Suchergebnis
ausdrucken zu lassen.
- Es wurde eine Toolbar für die meistbenutzen Funktionen und mit netten Icons neu hinzugefügt.
********************************************************************************
26.09.2007
Version 1.0.0.2
Wir behelfen uns erstmal so, daß PFind unter Windows2000 als "Standardbenutzer" (Hauptbenutzergruppe!) läuft.
Außerdem erzeugt der Installer nicht mehr das Verzeichnis "database" sondern PFind erzeugt es mit den eigenen "Rechten" selbst.
Bugfixes/Änderungen:
- Neues Icon (auch unter Vista)
- Wenn beim Onlineupdate eine neue Version vorhanden ist, kann man jetzt auswählen, wo
die neue "Setup.exe" gespeichert werden soll.
********************************************************************************
25.09.2007 12:17h:
Hinweis, Achtung:
Zur Zeit läuft PFind nur unter einem Administrator-Account. Wir arbeiten daran, daß PFind auch unter
einem eingeschränkten Useraccount läuft (eingeschränkte Rechte -> SECURITY_ATTRIBUTES).
Demnächst wird es eine neue Version geben, die auch unter einem eingeschränkten Useraccount läuft.
Diese Version wird dann frei herunterladbar sein.
********************************************************************************
22.09.2007:
Version 1.0.0.1
- Beim Versenden von einer Message wurde der Focus nicht korrekt gesetzt; bug fixed.
- PFind konnte bisher mehrfach gestartet werden, indem ganz schnell hineinander das Programmicon doppelt geklickt wurde.
Das geht jetzt nicht mehr: PFind kann nur 1 mal gestartet werden.
- Ab sofort läuft PFind auch unter Windows 2000. Gewisse Dinge wollten nicht so recht wie unter XP :-)
********************************************************************************

09.09.2007: Version 1.0.0.0 - Erste Releaseversion
********************************************************************************
Es ist endlich soweit:
Die erste offizielle Version wird online gestellt. Mal sehen, was kommt...
Es wurden viele Buttons etc entfernt, damit diese Version endlich online gehen kann.
Außerdem haben wir uns entschieden, daß PFind bis auf weiteres kostenlos sein wird.
Damit wir jedoch die ganze Arbeit und den Webspace finanzieren können, bitten wir um eine kleine Spende;
wir halten 10 EURO als freiwillige (Mindest-) Spende für nicht zuviel.
********************************************************************************
29.08.2007
Version 0.1.1.35
- Endlich das Dialogfenster korrigiert, mit dem der Benutzer einen Fehlerbericht absetzen kann.
Hinweis: Es wird nur das verschickt, was sich im Textfeld befindet; keine weiteren Informationen werden versandt.
- Bin immer noch bei der "Merkmalsextraktion" bei - dauert länger als erwartet...
********************************************************************************
23.08.2007
Version 0.1.1.34
- Ab sofort hat man eine zusätzliche Ansicht mit der Ordnerstruktur und den Dateien.
Das hat den Vorteil, daß man sich schneller einen Überblick über die vorhandenen
Ordner und Dateien mit den Bildern machen kann.
- Da dieses Verhalten eine neue Form der Datenbank benötigte, sind alle bisherigen
Datenbankeinträge nicht mehr gültig und müssen erneut eingelesen werden.
- Am Suchalgorithmus wurde noch nichts weiter verändert (zumindest nicht nach außen)
********************************************************************************
09.08.2007 22:56 uhr
- Wenn ein Medium eingelesen wurde und im Fenster "Medieninhalt" angezeigt
wurde UND DANN das Fenster "Medien" erneut eingelesen wurde, gab es einen Crash. Bug fixed!
********************************************************************************
09.08.2007
Version 0.1.1.32
- Das Fenster "Medieninhalt" und "Suchergebnisse" haben jetzt eine Toolbar am oberen
Rand. Zur Zeit kann man lediglich die Transparenz des jeweiligen Fensters einstellen.
- Mehr Spracheinträge lokalisiert; das Menü war auch bei deutscher Einstellung immer in Englisch, was natürlich ein Fehler ist.
- Interne Aufräumarbeiten
********************************************************************************
03.08.2007
- Die Eingabe der Lizenznummer wurde vereinfacht:
Eine gültige Lizenznummer im Format XXXXX-XXXXX-XXXXX-XXXXX-XXXXX
muss in die Zwischenablage kopiert werden (mit Bindestrichen).
Dann in das _erste_ Textfeld der Lizenznummer klicken und die Zwischenablage hineinkopieren.
Alle 5 Teilnummern werden nun korrekt in die entsprechenden Felder gesetzt.
********************************************************************************
Version 0.1.1.30
01.08.2007
- Ab sofort müssen gültige Lizenzdaten für Online-Updates eingegeben werden.
- Der Button "Auto" ist nur testweise vorhanden. Er zeigt (testweise) den Bereich an, wo PFind demnächst Formen (Gesichter, Ecken/Kanten z.B.) erkennt.
- Das Fenster "Information" wurde funktioneller gestaltet.
- Einige Fenster sind teilweise transparent (zu einem sehr geringen Teil); dies ist in einer der nächsten Updates einstellbar.
- Ab sofort kann man zwischen 2 Sprachen umschalten (Deutsch/Englisch). Damit die ausgewählte Sprache aktiv wird, bitte das Programm beenden und neu starten. Es gibt zwar auch einen französischen Menüpunkt, aber ich weiß nur, was "Oui" und "Non" bedeutet... Wer Bock hat, als Übersetzer zu arbeiten... :-)
- Ordner und Verzeichnisse im Fenster "Medien" lassen sich jetzt mit einem Rechtsklick erneut einlesen. Das erspart das lästige Suchen nach einem Ordner, wenn dieser irgendwo ganz tief versteckt liegt.
********************************************************************************
Version 0.1.1.29
26.07.2007
- Im Fenster "Suchergebnisse" lässt sich jetzt ein Bild mit der rechten Maustaste als neues Referenzbild benutzen.
- Neues Informationsfenster eingebaut.
- Das Fortschrittsfenster wurde entfernt. Der Fortschrittsbalken wurde in die Statuszeile eingebaut. Das Gleiche gilt für den Button "Abbrechen". So ist mehr Platz im Fensterbereich vorhanden.
24.07.2007
- Drag and Drop von Ordnern auf das Programmfenster wird jetzt unterstützt. So lassen sich schnell und einfach die gewünschten Ordner einlesen.
Falls Dateien auf das Programmfenster gedropped werden, passiert nichts. - Einlesen von Ordnern wurde überarbeitet und teilweise korrigiert.
- Die Spaltenbezeichnungen der Listviews lassen sich jetzt verschieben. Die jeweilige Einstellung wird selbstverständlich gespeichert.
********************************************************************************
Version 0.1.1.28
23.07.2007
- Bilder im BMP-Format (Truecolor und 265 Farben) lassen sich jetzt einlesen
(Achtung: teilweise noch mit Fehlern)
- Es werden ab dieser Version Merkmale der Bilder extrahiert und abgespeichert.
Merkmale können sein:
- Farben
- Position der Farben im Bild mit Hilfe von Rechtecken, wie z.B. "Himmel", "Gesicht" ...
- Im Ergebnisfenster "Medieninhalt" gibts ab sofort eine neue Spalte "Farbigkeit". Dort wird die
durchschnittliche "Farbigkeit" eines Bildes angezeigt. Werte von 0 bis 255 zeigen ein
Bild mit durchschnittlich höherer "Farbigkeit" an. Ein Wert von 0 zeigt an, daß es sich mit
sehr hoher Wahrscheinlichkeit um ein schwarzweiß-Bild handelt.

Bekannter Fehler weiterhin:
- Einlesen eines Verzeichnisses arbeitet unter bestimmten Bedingungen immer noch nicht korrekt.
- Die beiden Slider "Farbton" und der Button "Auto" haben zur Zeit keine Funktion.
********************************************************************************
05.07.2007
- Bug bei PNG-Bildern gefixt: Die Farben werden jetzt korrekt dargestellt.
02.07.2007
- Die Dialogfenster lassen sich durch Doppelklick auf die Titelzeile verkleinern.
********************************************************************************
Version 0.1.1.26
28.06.2007
- Einen Megabug beseitigt beim Einlesen eines Laufwerkes bzw eines ausgewählten Verzeichnisses.
Es wurden nicht alle Dateien im Verzeichnis eingelesen bzw dieses fehlerhaft.
- Der Regler "Farbschwellwert" ist zur Zeit noch nicht aktiviert;
also bitte nicht allzu heftig daran rütteln :-)
********************************************************************************
Version 0.1.1.25
17.06.2007
- Bei den Vorschaubildern wird jetzt Rauschen hinzugefügt, damit das angezeigte Bild
aufgrund der wenigen Farben besser aussieht.
********************************************************************************
Version 0.1.1.24
09.06.2007 Änderungen B:
- Ich habe mich doch entschieden, die Vorschaubilder auf 160x120 Pixel zu belassen.
Man kann sonst kaum etwas erkennen und es wird einfach zu pixelig :-(
Dafür wurde jedoch das Kompressionsverfahren für das Vorschaubild geändert.
Das Löschen aller Datenbankeinträge ist deshalb vonnöten.
********************************************************************************
Version 0.1.1.23
09.06.2007 Änderungen A:
- Die Vorschaubilder sind jetzt anstatt 160x120 Pixel nur noch 80*60 Pixel groß.
Das hat den Vorteil, daß die Datenbank kleiner wird (1/4) und die Vorschaubilder
wesentlich schneller geladen werden können.
Ich arbeite aber noch an einer besseren Bildqualität der Vorschau.
- Das HSV-Histogramm hat jetzt weniger Werte (1/16). Dadurch wird die Suche wesentlich
schneller. Das Suchergebnis wird im Gegensatz zur vorigen Version kaum verändert.
- Anzeige des freien Arbeitsspeicherplatz/Anzahl CPUs in der Aboutbox.
********************************************************************************
Version 0.1.1.22
08.06.2007 Änderungen C:
- Es lassen sich jetzt alle Datenbanken mit dem entsprechenden Button löschen.
- Es können jetzt nur diejenigen Laufwerke eingelesen, die den Zustand "OK" haben.
Beispielsweise können so keine leeren USB-Slots gelesen werden...
- Ansonsten keine Änderungen.
********************************************************************************
Version 0.1.1.21
08.06.2007 Änderungen B:
- Es gibt jetzt sogenanntte "Tooltips". Wenn man mit der Maus über Buttons fährt,
erscheint ein kleines Hinweisfenster mit Text, was der Button macht.
- Ansonsten keine Änderungen.
********************************************************************************
Version 0.1.1.20
08.06.2007 Änderungen A:
- Datenbank-Format erneut geändert,
_alle_ database-dateien müssen einmalig gelöscht werden!!!!!!

Dafür gibts ab sofort eine Echtzeitsuche wie folgt:
---------------------------------------------------

- Ein Medium einlesen und dieses Medium anzeigen lassen.
- Ein Bild aussuchen und dann direkt mit dem Schieber (Slider) die
Ähnlichkeit einstellen. Sofort wird die Echtzeitsuche gestartet und es
trudeln auch schon die ersten mehr oder weniger ähnlichen Bilder im sich
öffnenden Ergebnisfenster ein.
- Mehrere sicherheitsrelevante Änderungen eingebaut (Abfragen etc.)

********************************************************************************
Version 0.1.1.12
29.05.2007 Änderungen:
- Datenbank-Struktur verändert; alle database-dateien müssen einmalig gelöscht werden.
- Pfadanzeige im Fenster "Medien in Datenbank".
- Statusanzeige im Fenster "Medien in Datenbank".
- Online-Updatevorgang korrigiert (hat sich unter gewissen Umständen aufgehängt)
- Ein Klick auf "Anzeigen" im Fenster "Medien in Datenbank" fügt die Einträge in
das Fenster "Medieninhalt" in einem Thread ein; so sieht der User, was gerade
passiert.
********************************************************************************

26.05.2007 Änderungen:
- Abfrage nach Onlineupdate verbessert. Internetverbindung sollte vorhanden sein,
ansonsten wird 1 Minute gewartet.
- Ansonsten keine Änderungen; dieses Update ist nur ein Test, ob das auch alles klappt.
********************************************************************************

24.05.2007 Änderungen:
- Abfrage nach Onlineupdate eingebaut. Nach dem Überprüfen, ob es eine neue Version
gibt, kann man die neue Version herunterladen.
- Neues Hintergrundbild. Dieses wird auf die verfügbare Bildschirmgröße skaliert.
********************************************************************************

24.05.2007 Änderungen:
- Noch einen weiteren Bug beim Einlesen eines Laufwerkes gefixt
Weiterhin werden nur jpg und png-bilder eingelesen (und angezeigt)
********************************************************************************

23.05.2007 Änderungen:
- Einen Megabug beim Einlesen eines Laufwerkes gefixt (es konnten nicht alle Bilder eingelesen werden)
- Einlesen eines auszuwählenden Ordners ist jetzt möglich.
- Der Pfad der Datenbank kann jetzt frei eingestellt werden.
- Versenden eines Fehlerberichtes ist zur Zeit unter Windows Vista nicht möglich.
********************************************************************************

22.05.2007 Änderungen:
Ab dieser Version muss einmalig der komplette Inhalt des Verzeichnis "Database" gelöscht werden, da
sich das Datenbankformat geändert hat.

Ab dieser Version kann der Pfad der Datenbank frei eingestellt werden ("Voreinstellungen").
Bitte beachten, daß auch dann alle Datenbankdateien (*.database) eventuell manuell
verschoben werden müssen.
Hintergrundbild kann ein- und abgeschaltet werden.
Der Suchalgorithmus wurde an einigen Stellen überarbeitet; es wird noch weiter dran gearbeitet!
Außerdem wurde hier und dort etwas optimiert und verbessert.

So long...


Kategorien (ab Version 1.1)
Ab Version 1.1 sind endlich auch Kategorien vorhanden.

Diese Kategorien unterscheiden sich von anderen Kategorien in folgender Weise:
Sie brauchen lediglich einige wenige Bilder pro Kategorie hinzufügen. Beispielsweise haben Sie die Kategorien "Landschaft" erzeugt.
Nun brauchen Sie lediglich einige wenige Bilder mit "Landschaft" drauf dieser Kategorie hinzufügen. Wenn Sie dann
in dieser Kategorie suchen, werden ähnliche Bilder anhand der Bilder in der Kategorie "Landschaft" ermittelt und angezeigt.

Um ein Bild aus einer angeklickten Kategorie wieder zu entfernen, einfach einen Rechtsklick mit der
Maus auf das Bild in der Kategorie machen und - weg damit :-)

Hinweis: Der Button "Entfernen" entfernt ohne Rückfrage die angeklickte Kategorie. Um einzelne Bilder einer Kategorie zu entfernen, ist das betreffende Bild anzuklicken, dann ein Mausklick-rechts und dann aus dem Popupmenü der entsprechende Eintrag zu wählen.

Um ein Bild einer vorher definierten Kategorie hinzuzufügen, ist ein Mausklick mit der rechten Maustaste nötig - siehe Bild.


Online-Update
 | Hier kann nach einer aktualisierten Version gesucht werden. Zu beachten ist, dass zuvor im Voreinstellungs-Fenster gültige Lizenzdaten eingegeben werden müssen, damit das Herunterladen möglich ist.
 | Nach Eingabe einer gültigen Lizenznummer im Voreinstellungs-Fenster wird der dazugehörige Name des Lizenznehmers angezeigt. Falls ein Update vorliegt, wird der Button "Herunterladen..." aktiviert. Nachdem das Update heruntergeladen wurde, öffnet sich eine Dialogbox und fragt, ob das Setup jetzt oder zu einem späteren Zeitpunkt ausgeführt werden soll. Das heruntergeladene Update befindet sich im Applikationsverzeichnis von PFind und kann zu einem späteren Zeitpunkt ausgeführt werden.


Suchen und Finden
Das Suchfenster...

...kann einfach über die Menüleiste oder die Toolbar geöffnet werden.

Es lässt sich wahlweise nach dem Dateinamen der Bilder suchen oder nach dem Speicherdatum.

Falls beide Optionen mit einem Häkchen versehen sind, wird nach beiden gleichzeitig gesucht.

Das Suchergebnis wird wie gewohnt im Fenster "Suchergebnisse" angezeigt.


Bilderverteilung (ab Version 1.004)
Ab Version 1.0.0.7 wird die Bilderverteilung aufsteigend sortiert angezeigt, beispielsweise:

Die Bilderverteilung zeigt an, auf welchem Medium sich ungefähr wieviele Bilder in den gefundenen Jahren bzw Monaten befinden.

Für vor der Version 1.004 eingelesenen Datenbanken einfach das Menü des Mediums aufklappen und den hier rot markierten Menüpunkt anwählen.
Es wird dann die Bilderverteilung berechnet und die vorhandene Datenbank aktualisiert. Dieser Vorgang verläuft recht schnell.


Drucken mit PFind
Um die aktuelle Verzeichnisstruktur auszudrucken, ist mit der Maus in das Fenster wie folgt zu klicken:

Es öffnet sich ein Vorschaufenster:

Dort kann der u.a. Drucker ausgewählt werden, auf dem gedruckt werden soll.

Um das Bilder-Suchergebnis auszudrucken, ist in das Ergebnisfenster der Bilder wie folgt zu klicken:

Auch hier öffnet sich das Vorschaufenster und es kann wie gewohnt gedruckt werden.


"videocommunications PFind"

Copyright:
(c) 2007-2008 www.videocommunications.de

Systemvoraussetzungen:
OS : "Windows XP Home" oder "Windows XP Professional"
"Windows Vista" kann ich nicht testen
nicht unter Windows 2000!
CPU : Pentium/Athlon, 1 GHz Minimum (sehr zu empfehlen)
Speicher : 512 MB oder mehr (2 GB empfohlen)
Grafikkarte : 1024x768 Pixel oder höher (sieht sehr schick auf 1920x1200 aus)

PFind wurde unter Windows XP auf folgendem System entwickelt:
- Mainboard ASUS A8N-SLI Deluxe
- AMD Athlon(tm) 64 X2 Dual Core Processor 4400+
- 2 GB Arbeitsspeicher
- Monitor 1920 x 1200 Pixel, Truecolor-Modus
- Grafikkarte ASUS Extreme AX300 Series (das ist ein Entwicklungsrechner, keine Daddelkiste :-)

THIS SOFTWARE IS PROVIDED "AS-IS". ALL EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND WARRANTIES, INCLUDING ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR NON-INFRINGEMENT ARE DISCLAIMED, EXCEPT TO THE EXTENT THAT THESE DISCLAIMERS ARE HELD TO BE LEGALLY INVALID.

TO THE EXTENT NOT PROHIBITED BY LAW, IN NO EVENT WILL THE AUTHOR OR ITS LICENSORS BE LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR FOR SPECIAL, INDIRECT, CONSEQUENTIAL, INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER CAUSED REGARDLESS OF THE THEORY OF LIABILITY, ARISING OUT OF OR RELATED TO THE USE OF OR INABILITY TO USE THE VIDEOCOMMUNICATIONS PFIND PROGRAM.

This software is based in part on the work of the Independent JPEG Group.

Marken- und Warenzeichen

Alle genannten Marken- und Warenzeichen unterliegen uneingeschränkt den Bestimmungen des jeweils gültigen Kennzeichnungsrechtes und gegebenenfalls den Besitzrechten der jeweiligen eingetragenen Eigentümer.


Lizenzbestimmungen
¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯
Produkt: PFind
Hersteller: videocommunications
Datum: 9/2007, zuletzt bearbeitet: 07.07.2008
Website: http://www.videocommunications.de
Website: http://www.pfind.de
email: Kontaktaufnahme nur per Kontaktformular auf der Webseite

¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯
ENDBENUTZER-LIZENZVERTRAG
WICHTIG - BITTE SORGFÄLTIG LESEN:
¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯

1. URHEBERRECHT
PFind, alle Softwarebestandteile, die Dokumentation, sowie die Programm- und Datenkonzeption werden sowohl durch Urheberrechtsgesetze und internationale Urheberrechtsverträge geschützt als auch durch andere Gesetze und Vereinbarungen über geistiges Eigentum.

2. LIZENZEINRÄUMUNG
Dieser Endbenutzer-Lizenzvertrag räumt Ihnen das Recht der Verwendung von PFind im vorgesehenen Sinn ein. Sie erhalten das nicht ausschließliche Recht, PFind an einem Computer-Arbeitsplatz zu benutzen. Wenn Sie das Programm längerfristig benutzen möchten, sollten Sie eine Programmlizenz beantragen, die ihnen zeitlich und funktionell bis auf Weiteres die Möglichkeit zu kostenlosen Programmupdates erlaubt. Diese Programmlizenz ist derzeit kostenlos und ausschließlich per Kontaktformular zu beantragen.

2.1. FREIWILLIGE SPENDE
Wir bitten um eine freiwillige Spende von 10 EURO.
Diese Spende hilft uns, PFind weiterzuentwickeln und Ihnen somit ein noch leistungsfähiges Programm zu bieten. Außerdem haben Sie dann die Möglichkeit, eigene Vorschläge und Ideen in das Programm einzubringen.

3. EINSCHRÄNKUNGEN
- Sie sind verpflichtet, sämtliche Urheberrechtshinweise auf allen Kopien von PFind beizubehalten.
- Sie sind nicht berechtigt, Kopien von PFind unter den gleichen Lizenzbedingungen dieser Version an Dritte weiterzugeben.
- Sie sind nicht berechtigt, PFind zurückzuentwickeln (Reverse Engineering), zu dekompilieren oder zu disassemblieren.
Dies gilt jedoch nur insoweit, wie das anwendbare Recht ungeachtet dieser Einschränkung eine solche Möglichkeit nicht ausdrücklich erlaubt.
- Sie sind nicht berechtigt, PFind zu verkaufen, vermieten oder zu verleasen.
- Sie sind verpflichtet, im Hinblick auf die Verwendung von PFind allen anwendbaren Gesetzen zu entsprechen (z.B. Copyright der Bilder beachten).

4. EIGENTUMSVORBEHALT
Wir behalten uns das Eigentum an PFind vor.

5. GEWÄHRLEISTUNG
Wir gewähren keinerlei Garantie für die Funktionsfähigkeit von PFind auf allen Betriebssystemversionen.

6. HAFTUNG
Alle Schadensersatzansprüche gegen uns, insbesondere wegen Verzugs oder Pflichtverletzung sowie außervertragliche Ansprüche, auch wegen entgangenen Gewinns, ausgebliebener Einsparungen, entgangener Gebrauchsvorteile, fehlgeschlagener Aufwendungen, mittelbarer Schäden und Folgeschäden, sind ausgeschlossen.

7. RECHTSWAHL - GERICHTSSTAND
Gerichtsstand ist Hamburg.

8. SALVATORISCHE KLAUSEL
Mündliche Nebenabreden sind nicht getroffen.

¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯
Hersteller: videocommunications
Adresse: Greifswalder Straße 62, 20099 Hamburg
Telefon: +49-40-41265791
Website: http://www.videocommunications.de
Website: http://www.pfind.de
email: Kontaktaufnahme nur per Kontaktformular auf der Webseite

¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯


Fragen und Antworten
Frage: Warum sehe ich keine Vorschaubilder?
Antwort:
Vermutlich haben Sie nur die Struktur des Laufwerks oder Verzeichnisses eingelesen:
Damit Vorschaubilder sichtbar sind, muß natürlich das Medium bzw das Verzeichnis komplett eingelesen werden.
Frage: Wenn ich einen Fehlerbericht abschicke, warum bekomme ich dann keine Antwort?
Antwort:
Falls Sie keinen Lizenzkey haben, müssen Sie hier zusätzlich Ihre Emailadresse hineinschreiben,
damit wir wissen, wem wir antworten sollen.
Falls Sie jedoch einen gültigen Lizenzkey eingegeben haben und mindestens 1 mal nach
einem Onlineupdate geguckt haben, brauchen Sie lediglich Ihren Text einzugeben; wir
wissen, vom wem der Text versandt wurde (da Ihr Lizenzkey mit verschickt wird).

Sie erhalten dann per Mail eine Antwort von uns (kann einige Tage dauern).

Übrigens: So ein Lizenzkey kostet Sie nichts :-)